/*
 * Copyright (C) Sergey P. Derevyago, 2005.
 *
 * Permission to copy, use, modify, sell and distribute this software is granted
 * provided this copyright notice appears in all copies.
 * This software is provided "as is" without express or implied warranty, and
 * with no claim as to its suitability for any purpose.
 *
 */

package ders;

final class Util
{
 static byte[] byteArrayCopy(byte[] src)
 {
  byte[] ret=new byte[src.length];
  System.arraycopy(src, 0, ret, 0, src.length);

  return ret;
 }

 static byte[] byteSubArrayCopy(byte[] src, int pos, int len)
 {
  byte[] ret=new byte[len];
  System.arraycopy(src, pos, ret, 0, len);

  return ret;
 }

 static int[] intArrayCopy(int[] src)
 {
  int[] ret=new int[src.length];
  System.arraycopy(src, 0, ret, 0, src.length);

  return ret;
 }
}

